svn commit: r1798818 - in /maven/enforcer/trunk: enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java enforcer-rules/src/site/apt/index.apt pom.xml

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

svn commit: r1798818 - in /maven/enforcer/trunk: enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java enforcer-rules/src/site/apt/index.apt pom.xml

stephenc
Author: stephenc
Date: Thu Jun 15 10:51:25 2017
New Revision: 1798818

URL: http://svn.apache.org/viewvc?rev=1798818&view=rev
Log:
[MENFORCER-272] Site fixes.
· Grammar error.
· Pick up fix of mojohaus/extra-enforcer-rules#13.
· Fix Javadoc error considered fatal by JDK 8.

Modified:
    maven/enforcer/trunk/enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java
    maven/enforcer/trunk/enforcer-rules/src/site/apt/index.apt
    maven/enforcer/trunk/pom.xml

Modified: maven/enforcer/trunk/enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java
URL: http://svn.apache.org/viewvc/maven/enforcer/trunk/enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java?rev=1798818&r1=1798817&r2=1798818&view=diff
==============================================================================
--- maven/enforcer/trunk/enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java (original)
+++ maven/enforcer/trunk/enforcer-rules/src/main/java/org/apache/maven/plugins/enforcer/BannedDependencies.java Thu Jun 15 10:51:25 2017
@@ -199,7 +199,7 @@ public class BannedDependencies
      * Includes override the exclude rules. It is meant to allow wide exclusion rules with
      * wildcards and still allow a
      * smaller set of includes. <br>
-     * For example, to ban all xerces except xerces-api -> exclude "xerces",
+     * For example, to ban all xerces except xerces-api → exclude "xerces",
      * include "xerces:xerces-api"
      *
      * @see #setIncludes(List)

Modified: maven/enforcer/trunk/enforcer-rules/src/site/apt/index.apt
URL: http://svn.apache.org/viewvc/maven/enforcer/trunk/enforcer-rules/src/site/apt/index.apt?rev=1798818&r1=1798817&r2=1798818&view=diff
==============================================================================
--- maven/enforcer/trunk/enforcer-rules/src/site/apt/index.apt (original)
+++ maven/enforcer/trunk/enforcer-rules/src/site/apt/index.apt Thu Jun 15 10:51:25 2017
@@ -83,7 +83,7 @@ Standard Rules
 
   * {{{./requireSameVersions.html}requireSameVersions}} - enforces that specific dependencies and/or plugins have the same version.
 
-  * {{{./requireUpperBoundDeps.html}requireUpperBoundDeps}} - ensures that every (transitive) dependency is resolved to it's specified version or higher.
+  * {{{./requireUpperBoundDeps.html}requireUpperBoundDeps}} - ensures that every (transitive) dependency is resolved to its specified version or higher.
 
   []
 

Modified: maven/enforcer/trunk/pom.xml
URL: http://svn.apache.org/viewvc/maven/enforcer/trunk/pom.xml?rev=1798818&r1=1798817&r2=1798818&view=diff
==============================================================================
--- maven/enforcer/trunk/pom.xml (original)
+++ maven/enforcer/trunk/pom.xml Thu Jun 15 10:51:25 2017
@@ -187,6 +187,19 @@
         </plugin>
       </plugins>
     </pluginManagement>
+    <plugins>
+      <plugin> <!-- TODO overriding 1.0-beta-3 from maven-parent-30.pom which fails with https://github.com/mojohaus/extra-enforcer-rules/issues/13 -->
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-enforcer-plugin</artifactId>
+        <dependencies>
+          <dependency>
+            <groupId>org.codehaus.mojo</groupId>
+            <artifactId>extra-enforcer-rules</artifactId>
+            <version>1.0-beta-6</version>
+          </dependency>
+        </dependencies>
+      </plugin>
+    </plugins>
   </build>
 
   <reporting>